#NLS_ENCODING=UTF-8
#NLS_MESSAGEFORMAT_NONE
#Sat Mar 26 00:16:57 EDT 2016
.zip\ File\ Name=[G'.\uff5a\uff49\uff50 \uff26ile Name\u0e0f\u0e39\u0130\u0131\uff5c]
.zip\ files=[G'.\uff5aip files\u0e0f\u0e39\u0130\u0131\uff5c]
A\ list\ of\ patterns,\ separated\ by\ commas\ or\ spaces,\ that\ describe\ the\ files\ to\ exclude.=[G'\uff21 \uff4c\uff49\uff53\uff54 \uff4f\uff46 \uff50\uff41\uff54\uff54\uff45\uff52\uff4e\uff53, \uff53eparated by commas or spaces, that describe the files to exclude.\u0e0f\u0e39\u0130\u0131\uff5c]
A\ list\ of\ patterns,\ separated\ by\ commas\ or\ spaces,\ that\ describe\ the\ files\ to\ include.=[G'\uff21 \uff4c\uff49\uff53\uff54 \uff4f\uff46 \uff50\uff41\uff54\uff54\uff45\uff52\uff4e\uff53, \uff53eparated by commas or spaces, that describe the files to include.\u0e0f\u0e39\u0130\u0131\uff5c]
A\ list,\ separated\ by\ newline\ characters,\ of\ explicit\ tokens\ to\ replace\ in\ the\ form\ of\ token->value.\ For\ example\:\ if\ you\ specify\ mytoken->new_value,\ the\ step\ replaces\ mytoken\ with\ new_value.\ The\ token\ delimiter\ and\ property\ prefix\ settings\ do\ not\ apply.\ If\ you\ specified\ a\ value\ in\ the\ Property\ List\ field,\ the\ explicit\ tokens\ are\ added\ as\ additional\ values\ to\ replace,\ and\ override\ any\ properties\ that\ have\ the\ same\ name.\ You\ cannot\ use\ regular\ expressions.=[G'\uff21 \uff4c\uff49\uff53\uff54, \uff53\uff45\uff50\uff41\uff52\uff41\uff54\uff45\uff44 \uff42\uff59 \uff4e\uff45\uff57\uff4c\uff49\uff4e\uff45 \uff43\uff48\uff41\uff52\uff41\uff43\uff54\uff45\uff52\uff53, \uff4f\uff46 \uff45\uff58\uff50\uff4c\uff49\uff43\uff49\uff54 \uff54\uff4f\uff4b\uff45\uff4e\uff53 \uff54\uff4f \uff52\uff45\uff50\uff4c\uff41\uff43\uff45 \uff49\uff4e \uff54\uff48\uff45 \uff46\uff4f\uff52\uff4d \uff4f\uff46 \uff54\uff4f\uff4b\uff45\uff4e->\uff56\uff41\uff4c\uff55\uff45. \uff26\uff4f\uff52 \uff45\uff58\uff41\uff4d\uff50\uff4c\uff45\: \uff49\uff46 \uff59\uff4f\uff55 \uff53\uff50\uff45\uff43\uff49\uff46\uff59 \uff4d\uff59\uff54\uff4f\uff4b\uff45\uff4e->\uff4e\uff45\uff57_\uff56\uff41\uff4c\uff55\uff45, \uff54\uff48\uff45 \uff53\uff54\uff45\uff50 \uff52\uff45\uff50\uff4c\uff41ces mytoken with new_value. The token delimiter and property prefix settings do not apply. If you specified a value in the Property List field, the explicit tokens are added as additional values to replace, and override any properties that have the same name. You cannot use regular expressions.\u0e0f\u0e39\u0130\u0131\uff5c]
A\ new\ line\ separated\ list\ of\ directories\ to\ copy\ to.=[G'\uff21 \uff4e\uff45\uff57 \uff4c\uff49\uff4e\uff45 \uff53\uff45\uff50\uff41rated list of directories to copy to.\u0e0f\u0e39\u0130\u0131\uff5c]
A\ new\ line\ separated\ list\ of\ directories\ to\ create.=[G'\uff21 \uff4e\uff45\uff57 \uff4c\uff49\uff4e\uff45 \uff53\uff45\uff50arated list of directories to create.\u0e0f\u0e39\u0130\u0131\uff5c]
A\ new\ line\ separated\ list\ of\ directories\ to\ sync\ to.=[G'\uff21 \uff4e\uff45\uff57 \uff4c\uff49\uff4e\uff45 \uff53\uff45\uff50\uff41rated list of directories to sync to.\u0e0f\u0e39\u0130\u0131\uff5c]
A\ new\ line\ separated\ list\ of\ exclude\ patterns\ for\ files\ to\ skip.=[G'\uff21 \uff4e\uff45\uff57 \uff4c\uff49\uff4e\uff45 \uff53\uff45\uff50\uff41\uff52ated list of exclude patterns for files to skip.\u0e0f\u0e39\u0130\u0131\uff5c]
A\ new\ line\ separated\ list\ of\ exclude\ patterns\ for\ property\ files\ to\ skip=[G'\uff21 \uff4e\uff45\uff57 \uff4c\uff49\uff4e\uff45 \uff53\uff45\uff50\uff41rated list of exclude patterns for property files to skip\u0e0f\u0e39\u0130\u0131\uff5c]
A\ new\ line\ separated\ list\ of\ exclude\ patterns.=[G'\uff21 \uff4e\uff45\uff57 \uff4c\uff49\uff4e\uff45 \uff53\uff45\uff50arated list of exclude patterns.\u0e0f\u0e39\u0130\u0131\uff5c]
A\ new\ line\ separated\ list\ of\ file\ patterns\ for\ files\ to\ exclude.\ (e.g.\ **/*.zip\ excludes\ all\ .zip\ files\ in\ all\ sub\ directories)=[G'\uff21 \uff4e\uff45\uff57 \uff4c\uff49\uff4e\uff45 \uff53\uff45\uff50\uff41\uff52\uff41\uff54\uff45\uff44 \uff4c\uff49\uff53\uff54 \uff4f\uff46 \uff46\uff49\uff4c\uff45 \uff50\uff41tterns for files to exclude. (e.g. **/*.zip excludes all .zip files in all sub directories)\u0e0f\u0e39\u0130\u0131\uff5c]
A\ new\ line\ separated\ list\ of\ file\ patterns\ for\ included\ files.\ **/*\ is\ default\ to\ include\ all.=[G'\uff21 \uff4e\uff45\uff57 \uff4c\uff49\uff4e\uff45 \uff53\uff45\uff50\uff41\uff52\uff41\uff54\uff45\uff44 \uff4c\uff49st of file patterns for included files. **/* is default to include all.\u0e0f\u0e39\u0130\u0131\uff5c]
A\ new\ line\ separated\ list\ of\ file\ patterns\ for\ preserved\ in\ target\ excluded\ files.=[G'\uff21 \uff4e\uff45\uff57 \uff4c\uff49\uff4e\uff45 \uff53\uff45\uff50\uff41\uff52\uff41\uff54ed list of file patterns for preserved in target excluded files.\u0e0f\u0e39\u0130\u0131\uff5c]
A\ new\ line\ separated\ list\ of\ file\ patterns\ for\ preserved\ in\ target\ included\ files.=[G'\uff21 \uff4e\uff45\uff57 \uff4c\uff49\uff4e\uff45 \uff53\uff45\uff50\uff41\uff52\uff41\uff54ed list of file patterns for preserved in target included files.\u0e0f\u0e39\u0130\u0131\uff5c]
A\ new\ line\ separated\ list\ of\ file/directory\ patterns\ to\ delete.\ Example\ **/*=[G'\uff21 \uff4e\uff45\uff57 \uff4c\uff49\uff4e\uff45 \uff53\uff45\uff50\uff41\uff52ated list of file/directory patterns to delete. Example **/*\u0e0f\u0e39\u0130\u0131\uff5c]
A\ new\ line\ separated\ list\ of\ file/directory\ patterns\ to\ exclude.\ Example\ **/*.txt=[G'\uff21 \uff4e\uff45\uff57 \uff4c\uff49\uff4e\uff45 \uff53\uff45\uff50\uff41\uff52\uff41\uff54ed list of file/directory patterns to exclude. Example **/*.txt\u0e0f\u0e39\u0130\u0131\uff5c]
A\ new\ line\ separated\ list\ of\ file/directory\ patterns\ to\ include.\ Example\ **/*=[G'\uff21 \uff4e\uff45\uff57 \uff4c\uff49\uff4e\uff45 \uff53\uff45\uff50\uff41\uff52\uff41ted list of file/directory patterns to include. Example **/*\u0e0f\u0e39\u0130\u0131\uff5c]
A\ new\ line\ separated\ list\ of\ include\ patterns\ for\ files\ to\ modify.=[G'\uff21 \uff4e\uff45\uff57 \uff4c\uff49\uff4e\uff45 \uff53\uff45\uff50\uff41\uff52ated list of include patterns for files to modify.\u0e0f\u0e39\u0130\u0131\uff5c]
A\ new\ line\ separated\ list\ of\ include\ patterns\ for\ property\ files\ to\ edit.=[G'\uff21 \uff4e\uff45\uff57 \uff4c\uff49\uff4e\uff45 \uff53\uff45\uff50\uff41rated list of include patterns for property files to edit.\u0e0f\u0e39\u0130\u0131\uff5c]
A\ new\ line\ separated\ list\ of\ include\ patterns.=[G'\uff21 \uff4e\uff45\uff57 \uff4c\uff49\uff4e\uff45 \uff53\uff45\uff50arated list of include patterns.\u0e0f\u0e39\u0130\u0131\uff5c]
A\ new\ line\ separated\ list\ of\ name\=value\ pairs=[G'\uff21 \uff4e\uff45\uff57 \uff4c\uff49\uff4e\uff45 \uff53\uff45\uff50arated list of name\=value pairs\u0e0f\u0e39\u0130\u0131\uff5c]
A\ new\ line\ separated\ list\ of\ names\ of\ properties\ to\ remove.=[G'\uff21 \uff4e\uff45\uff57 \uff4c\uff49\uff4e\uff45 \uff53\uff45\uff50\uff41rated list of names of properties to remove.\u0e0f\u0e39\u0130\u0131\uff5c]
A\ new\ line\ separated\ list\ of\ properties\ to\ remove.\ If\ you\ want\ to\ remove\ properties\ in\ sections\ add\ a\ prefix\ to\ the\ full\ path\ of\ parent\ sections\ to\ the\ property\ name\ with\ a\ \\\ separator.\ Ex\:\ section1\\section2\\propertyName\ will\ remove\ the\ propertyName\ property\ in\ the\ section2\ sub-section\ of\ section1.=[G'\uff21 \uff4e\uff45\uff57 \uff4c\uff49\uff4e\uff45 \uff53\uff45\uff50\uff41\uff52\uff41\uff54\uff45\uff44 \uff4c\uff49\uff53\uff54 \uff4f\uff46 \uff50\uff52\uff4f\uff50\uff45\uff52\uff54\uff49\uff45\uff53 \uff54\uff4f \uff52\uff45\uff4d\uff4f\uff56\uff45. \uff29\uff46 \uff59\uff4f\uff55 \uff57\uff41\uff4e\uff54 \uff54\uff4f \uff52\uff45\uff4d\uff4f\uff56\uff45 \uff50\uff52\uff4f\uff50\uff45\uff52\uff54\uff49\uff45\uff53 \uff49\uff4e \uff53\uff45\uff43\uff54\uff49\uff4f\uff4e\uff53 \uff41\uff44\uff44 a prefix to the full path of parent sections to the property name with a \\ separator. Ex\: section1\\section2\\propertyName will remove the propertyName property in the section2 sub-section of section1.\u0e0f\u0e39\u0130\u0131\uff5c]
A\ new\ line\ separated\ list\ of\ section\\name\=value\ pairs\ of\ properties\ to\ update.\ Comments\ preceding\ a\ property\ line\ will\ be\ added\ to\ the\ property.\ Comments\ begin\ with\ ';'\ or\ '\#'.\ If\ you\ want\ to\ update\ properties\ in\ sub-sections\ add\ a\ prefix\ to\ the\ full\ path\ of\ parent\ sections\ to\ the\ property\ name\ with\ a\ \\\ separator.\ Ex\:\ section1\\section2\\propertyName\=value\ will\ update\ the\ propertyName\ property\ in\ the\ section2\ sub-section\ of\ section\ 1.=[G'\uff21 \uff4e\uff45\uff57 \uff4c\uff49\uff4e\uff45 \uff53\uff45\uff50\uff41\uff52\uff41\uff54\uff45\uff44 \uff4c\uff49\uff53\uff54 \uff4f\uff46 \uff53\uff45\uff43\uff54\uff49\uff4f\uff4e\\n\uff41\uff4d\uff45\=\uff56\uff41\uff4c\uff55\uff45 \uff50\uff41\uff49\uff52\uff53 \uff4f\uff46 \uff50\uff52\uff4f\uff50\uff45\uff52\uff54\uff49\uff45\uff53 \uff54\uff4f \uff55\uff50\uff44\uff41\uff54\uff45. \uff23\uff4f\uff4d\uff4d\uff45\uff4e\uff54\uff53 \uff50\uff52\uff45\uff43\uff45\uff44\uff49\uff4e\uff47 \uff41 \uff50\uff52\uff4f\uff50\uff45\uff52\uff54\uff59 \uff4c\uff49\uff4e\uff45 \uff57\uff49\uff4c\uff4c \uff42\uff45 \uff41\uff44\uff44\uff45\uff44 \uff54\uff4f \uff54\uff48\uff45 \uff50\uff52\uff4f\uff50\uff45\uff52\uff54\uff59. \uff23\uff4f\uff4d\uff4d\uff45\uff4ets begin with ';' or '\#'. If you want to update properties in sub-sections add a prefix to the full path of parent sections to the property name with a \\ separator. Ex\: section1\\section2\\propertyName\=value will update the propertyName property in the section2 sub-section of section 1.\u0e0f\u0e39\u0130\u0131\uff5c]
A\ new\ line\ separated\ list\ of\ sections\ to\ remove.\ Removing\ a\ section\ removes\ its\ properties\ and\ the\ property\ comments.=[G'\uff21 \uff4e\uff45\uff57 \uff4c\uff49\uff4e\uff45 \uff53\uff45\uff50\uff41\uff52\uff41\uff54\uff45\uff44 \uff4c\uff49\uff53\uff54 \uff4f\uff46 \uff53\uff45\uff43tions to remove. Removing a section removes its properties and the property comments.\u0e0f\u0e39\u0130\u0131\uff5c]
A\ new\ line\ separated\ list\ of\ XPath\ expressions\ for\ elements\ to\ remove.\ Eg\:\ /root/foo\ will\ remove\ all\ elements\ foo\ under\ the\ root\ element.=[G'\uff21 \uff4e\uff45\uff57 \uff4c\uff49\uff4e\uff45 \uff53\uff45\uff50\uff41\uff52\uff41\uff54\uff45\uff44 \uff4c\uff49\uff53\uff54 \uff4f\uff46 \uff38\uff30\uff41\uff54\uff48 \uff45\uff58\uff50\uff52essions for elements to remove. Eg\: /root/foo will remove all elements foo under the root element.\u0e0f\u0e39\u0130\u0131\uff5c]
A\ newline\ separated\ list\ of\ elements\ whose\ value\ will\ be\ set\ for\ the\ property.\ Nested\ elements\ should\ be\ referenced\ with\ dot\ notation.\ For\ example,\ the\ property\ key\ 'foo.bar.baz'\ will\ retrieve\ the\ value\ of\ the\ baz\ element\ under\ the\ bar\ element\ under\ the\ foo\ element.=[G'\uff21 \uff4e\uff45\uff57\uff4c\uff49\uff4e\uff45 \uff53\uff45\uff50\uff41\uff52\uff41\uff54\uff45\uff44 \uff4c\uff49\uff53\uff54 \uff4f\uff46 \uff45\uff4c\uff45\uff4d\uff45\uff4e\uff54\uff53 \uff57\uff48\uff4f\uff53\uff45 \uff56\uff41\uff4c\uff55\uff45 \uff57\uff49\uff4c\uff4c \uff42\uff45 \uff53\uff45\uff54 \uff46\uff4f\uff52 \uff54\uff48\uff45 \uff50\uff52\uff4f\uff50\uff45\uff52\uff54\uff59. \uff2e\uff45\uff53\uff54\uff45\uff44 elements should be referenced with dot notation. For example, the property key 'foo.bar.baz' will retrieve the value of the baz element under the bar element under the foo element.\u0e0f\u0e39\u0130\u0131\uff5c]
A\ regular\ expression\ to\ match\ a\ line\ in\ the\ above\ file.=[G'\uff21 \uff52\uff45\uff47\uff55\uff4c\uff41\uff52 \uff45\uff58\uff50\uff52ession to match a line in the above file.\u0e0f\u0e39\u0130\u0131\uff5c]
A\ step\ that\ allows\ you\ to\ flip\ line\ endings\ for\ all\ files\ that\ match\ the\ includes.=[G'\uff21 \uff53\uff54\uff45\uff50 \uff54\uff48\uff41\uff54 \uff41\uff4c\uff4c\uff4f\uff57\uff53 you to flip line endings for all files that match the includes.\u0e0f\u0e39\u0130\u0131\uff5c]
A\ step\ that\ allows\ you\ to\ monitor(tail)\ a\ file\ for\ a\ token\ and\ continue\ when\ token\ appears\ or\ fail\ if\ not\ found\ in\ allotted\ time.\ The\ step\ will\ ignore\ content\ that\ was\ present\ before\ the\ start\ of\ the\ step.=[G'\uff21 \uff53\uff54\uff45\uff50 \uff54\uff48\uff41\uff54 \uff41\uff4c\uff4c\uff4f\uff57\uff53 \uff59\uff4f\uff55 \uff54\uff4f \uff4d\uff4f\uff4e\uff49\uff54\uff4f\uff52(\uff54\uff41\uff49\uff4c) \uff41 \uff46\uff49\uff4c\uff45 \uff46\uff4f\uff52 \uff41 \uff54\uff4f\uff4b\uff45\uff4e \uff41\uff4e\uff44 \uff43\uff4f\uff4e\uff54inue when token appears or fail if not found in allotted time. The step will ignore content that was present before the start of the step.\u0e0f\u0e39\u0130\u0131\uff5c]
A\ sub-directory\ of\ the\ current\ working\ directory\ where\ the\ edited\ xml\ should\ be\ written\ to.=[G'\uff21 \uff53\uff55\uff42-\uff44\uff49\uff52\uff45\uff43\uff54\uff4f\uff52\uff59 \uff4f\uff46 \uff54\uff48\uff45 current working directory where the edited xml should be written to.\u0e0f\u0e39\u0130\u0131\uff5c]
A\ sub-directory\ of\ the\ current\ working\ directory\ where\ the\ step\ should\ execute.=[G'\uff21 \uff53\uff55\uff42-\uff44\uff49\uff52\uff45\uff43\uff54\uff4f\uff52\uff59 \uff4ff the current working directory where the step should execute.\u0e0f\u0e39\u0130\u0131\uff5c]
Add\ a\ new\ line\ separated\ list\ of\ comments\ to\ the\ specified\ Sections.\ Ex\:\ section\=comment\ would\ add\ a\ comment\ to\ the\ line\ above\ the\ section\ named\ 'section'.=[G'\uff21\uff44\uff44 \uff41 \uff4e\uff45\uff57 \uff4c\uff49\uff4e\uff45 \uff53\uff45\uff50\uff41\uff52\uff41\uff54\uff45\uff44 \uff4c\uff49\uff53\uff54 \uff4f\uff46 \uff43\uff4f\uff4d\uff4d\uff45\uff4e\uff54\uff53 \uff54\uff4f \uff54\uff48e specified Sections. Ex\: section\=comment would add a comment to the line above the section named 'section'.\u0e0f\u0e39\u0130\u0131\uff5c]
Add\ Section\ Comments=[G'\uff21\uff44\uff44 \uff33\uff45\uff43\uff54ion Comments\u0e0f\u0e39\u0130\u0131\uff5c]
Add/Remove/Update\ properties\ in\ a\ Java\ Properties\ file.=[G'\uff21\uff44\uff44/\uff32\uff45\uff4d\uff4f\uff56\uff45/\uff35\uff50\uff44ate properties in a Java Properties file.\u0e0f\u0e39\u0130\u0131\uff5c]
Add/Update\ properties=[G'\uff21\uff44\uff44/\uff35\uff50\uff44\uff41te properties\u0e0f\u0e39\u0130\u0131\uff5c]
Additional\ properties=[G'\uff21\uff44\uff44\uff49\uff54\uff49\uff4fnal properties\u0e0f\u0e39\u0130\u0131\uff5c]
Additional\ properties\ prefix=[G'\uff21\uff44\uff44\uff49\uff54\uff49\uff4f\uff4e\uff41l properties prefix\u0e0f\u0e39\u0130\u0131\uff5c]
Base\ Directory=[G'\uff22\uff41\uff53\uff45 Directory\u0e0f\u0e39\u0130\u0131\uff5c]
bzip2=[G'bzip2\u0e0f\u0e39\u0130\u0131\uff5c]
Case\ Sensitive=[G'\uff23\uff41\uff53\uff45 Sensitive\u0e0f\u0e39\u0130\u0131\uff5c]
Check\ here\ if\ you\ want\ matching\ to\ be\ case\ sensitive.=[G'\uff23\uff48\uff45\uff43\uff4b \uff48\uff45\uff52\uff45 \uff49\uff46 \uff59ou want matching to be case sensitive.\u0e0f\u0e39\u0130\u0131\uff5c]
Check\ here\ if\ you\ want\ the\ step\ to\ fail\ if\ it\ finds\ the\ regular\ expression\ above.\ In\ this\ case\ the\ step\ will\ not\ fail\ after\ the\ timeout\ expires.=[G'\uff23\uff48\uff45\uff43\uff4b \uff48\uff45\uff52\uff45 \uff49\uff46 \uff59\uff4f\uff55 \uff57\uff41\uff4e\uff54 \uff54\uff48\uff45 \uff53\uff54\uff45\uff50 \uff54\uff4f \uff46\uff41\uff49\uff4c \uff49\uff46 \uff49t finds the regular expression above. In this case the step will not fail after the timeout expires.\u0e0f\u0e39\u0130\u0131\uff5c]
Check\ here\ if\ you\ want\ to\ follow\ symlinks\ when\ deleting.=[G'\uff23\uff48\uff45\uff43\uff4b \uff48\uff45\uff52\uff45 \uff49\uff46 \uff59ou want to follow symlinks when deleting.\u0e0f\u0e39\u0130\u0131\uff5c]
Check\ here\ if\ you\ want\ to\ follow\ symlinks\ when\ incliding\ files.=[G'\uff23\uff48\uff45\uff43\uff4b \uff48\uff45\uff52\uff45 \uff49\uff46 \uff59\uff4fu want to follow symlinks when incliding files.\u0e0f\u0e39\u0130\u0131\uff5c]
Check\ here\ if\ you\ want\ to\ update\ or\ overwrite\ the\ destination\ file\ if\ it\ already\ exists.=[G'\uff23\uff48\uff45\uff43\uff4b \uff48\uff45\uff52\uff45 \uff49\uff46 \uff59\uff4f\uff55 \uff57\uff41\uff4et to update or overwrite the destination file if it already exists.\u0e0f\u0e39\u0130\u0131\uff5c]
Check\ here\ to\ overwrite\ an\ existing\ file.=[G'\uff23\uff48\uff45\uff43\uff4b \uff48\uff45\uff52\uff45 \uff54\uff4f overwrite an existing file.\u0e0f\u0e39\u0130\u0131\uff5c]
comma-\ or\ space-separated\ list\ of\ patterns\ of\ .zip\ files\ to\ be\ extracted.=[G'\uff43\uff4f\uff4d\uff4d\uff41- \uff4f\uff52 \uff53\uff50\uff41\uff43\uff45-separated list of patterns of .zip files to be extracted.\u0e0f\u0e39\u0130\u0131\uff5c]
Comma-\ or\ space-separated\ list\ of\ patterns\ to\ indicate\ which\ files\ within\ the\ .zip\ file\ will\ be\ extracted.=[G'\uff23\uff4f\uff4d\uff4d\uff41- \uff4f\uff52 \uff53\uff50\uff41\uff43\uff45-\uff53\uff45\uff50\uff41\uff52\uff41\uff54\uff45\uff44 \uff4cist of patterns to indicate which files within the .zip file will be extracted.\u0e0f\u0e39\u0130\u0131\uff5c]
Comma-\ or\ space-separated\ list\ of\ patterns\ to\ indicate\ which\ files\ within\ the\ .zip\ file\ will\ not\ be\ extracted.=[G'\uff23\uff4f\uff4d\uff4d\uff41- \uff4f\uff52 \uff53\uff50\uff41\uff43\uff45-\uff53\uff45\uff50\uff41\uff52\uff41\uff54\uff45\uff44 \uff4c\uff49\uff53t of patterns to indicate which files within the .zip file will not be extracted.\u0e0f\u0e39\u0130\u0131\uff5c]
Contents=[G'Contents\u0e0f\u0e39\u0130\u0131\uff5c]
Copies\ the\ contents\ of\ one\ directory\ to\ one\ or\ more\ other\ directories\ overwriting\ files,\ but\ not\ deleting\ any.=[G'\uff23\uff4f\uff50\uff49\uff45\uff53 \uff54\uff48\uff45 \uff43\uff4f\uff4e\uff54\uff45\uff4e\uff54\uff53 \uff4f\uff46 \uff4f\uff4e\uff45 \uff44\uff49rectory to one or more other directories overwriting files, but not deleting any.\u0e0f\u0e39\u0130\u0131\uff5c]
Copy\ Directory=[G'\uff23\uff4f\uff50\uff59 Directory\u0e0f\u0e39\u0130\u0131\uff5c]
Create\ .zip\ File=[G'\uff23\uff52\uff45\uff41\uff54e .zip File\u0e0f\u0e39\u0130\u0131\uff5c]
Create\ a\ .zip\ file.=[G'\uff23\uff52\uff45\uff41\uff54\uff45 a .zip file.\u0e0f\u0e39\u0130\u0131\uff5c]
Create\ a\ new\ file.=[G'\uff23\uff52\uff45\uff41\uff54\uff45 a new file.\u0e0f\u0e39\u0130\u0131\uff5c]
Create\ a\ set\ of\ new\ directories\ including\ parent\ directories.=[G'\uff23\uff52\uff45\uff41\uff54\uff45 \uff41 \uff53\uff45\uff54 \uff4f\uff46 new directories including parent directories.\u0e0f\u0e39\u0130\u0131\uff5c]
Create\ Directories=[G'\uff23\uff52\uff45\uff41\uff54\uff45 Directories\u0e0f\u0e39\u0130\u0131\uff5c]
Create\ File=[G'\uff23\uff52eate File\u0e0f\u0e39\u0130\u0131\uff5c]
Custom\ Encoding=[G'\uff23\uff55\uff53\uff54om Encoding\u0e0f\u0e39\u0130\u0131\uff5c]
Delete\ a\ set\ of\ files/directories.=[G'\uff24\uff45\uff4c\uff45\uff54\uff45 \uff41 \uff53\uff45\uff54 of files/directories.\u0e0f\u0e39\u0130\u0131\uff5c]
Delete\ Files\ and\ Directories=[G'\uff24\uff45\uff4c\uff45\uff54\uff45 \uff26\uff49\uff4ces and Directories\u0e0f\u0e39\u0130\u0131\uff5c]
Destination\ Directories=[G'\uff24\uff45\uff53\uff54\uff49\uff4e\uff41\uff54ion Directories\u0e0f\u0e39\u0130\u0131\uff5c]
Destination\ Directory=[G'\uff24\uff45\uff53\uff54\uff49\uff4e\uff41tion Directory\u0e0f\u0e39\u0130\u0131\uff5c]
Destination\ Directory\ Offset=[G'\uff24\uff45\uff53\uff54\uff49\uff4e\uff41\uff54\uff49on Directory Offset\u0e0f\u0e39\u0130\u0131\uff5c]
Directories=[G'\uff24\uff49rectories\u0e0f\u0e39\u0130\u0131\uff5c]
Directory\ Offset=[G'\uff24\uff49\uff52\uff45\uff43tory Offset\u0e0f\u0e39\u0130\u0131\uff5c]
End\ Token\ Delimiter=[G'\uff25\uff4e\uff44 \uff34\uff4f\uff4ben Delimiter\u0e0f\u0e39\u0130\u0131\uff5c]
Ending=[G'Ending\u0e0f\u0e39\u0130\u0131\uff5c]
Exclude=[G'Exclude\u0e0f\u0e39\u0130\u0131\uff5c]
Exclude\ Files=[G'\uff25\uff58\uff43lude Files\u0e0f\u0e39\u0130\u0131\uff5c]
Excludes=[G'Excludes\u0e0f\u0e39\u0130\u0131\uff5c]
Explicit\ Tokens=[G'\uff25\uff58\uff50\uff4cicit Tokens\u0e0f\u0e39\u0130\u0131\uff5c]
Extract\ directory=[G'\uff25\uff58\uff54\uff52\uff41ct directory\u0e0f\u0e39\u0130\u0131\uff5c]
Fail\ if\ found=[G'\uff26\uff41\uff49l if found\u0e0f\u0e39\u0130\u0131\uff5c]
Fail\ if\ no\ match\ found=[G'\uff26\uff41\uff49\uff4c \uff49\uff46 \uff4e\uff4f match found\u0e0f\u0e39\u0130\u0131\uff5c]
File\ Excludes=[G'\uff26\uff49\uff4ce Excludes\u0e0f\u0e39\u0130\u0131\uff5c]
File\ Includes=[G'\uff26\uff49\uff4ce Includes\u0e0f\u0e39\u0130\u0131\uff5c]
File\ Name=[G'File Name\u0e0f\u0e39\u0130\u0131\uff5c]
File\ Utils=[G'\uff26ile Utils\u0e0f\u0e39\u0130\u0131\uff5c]
FileUtils=[G'FileUtils\u0e0f\u0e39\u0130\u0131\uff5c]
Flip\ Line\ Endings=[G'\uff26\uff4c\uff49\uff50 \uff2cine Endings\u0e0f\u0e39\u0130\u0131\uff5c]
Follow\ Symlinks=[G'\uff26\uff4f\uff4c\uff4cow Symlinks\u0e0f\u0e39\u0130\u0131\uff5c]
gzip=[G'gzip\u0e0f\u0e39\u0130\u0131\uff5c]
If\ checked,\ the\ properties\ file\ will\ be\ read\ using\ the\ Agent's\ native\ character\ encoding.=[G'\uff29\uff46 \uff43\uff48\uff45\uff43\uff4b\uff45\uff44, \uff54\uff48\uff45 \uff50\uff52\uff4f\uff50\uff45rties file will be read using the Agent's native character encoding.\u0e0f\u0e39\u0130\u0131\uff5c]
If\ set\ the\ properties\ file\ will\ be\ read\ and\ written\ using\ this\ Character\ Encoding.\ Otherwise\ the\ file\ will\ be\ read\ using\ the\ Agent's\ native\ character\ encoding.=[G'\uff29\uff46 \uff53\uff45\uff54 \uff54\uff48\uff45 \uff50\uff52\uff4f\uff50\uff45\uff52\uff54\uff49\uff45\uff53 \uff46\uff49\uff4c\uff45 \uff57\uff49\uff4c\uff4c \uff42\uff45 \uff52\uff45\uff41\uff44 \uff41\uff4e\uff44 \uff57\uff52\uff49tten using this Character Encoding. Otherwise the file will be read using the Agent's native character encoding.\u0e0f\u0e39\u0130\u0131\uff5c]
If\ set\ the\ properties\ file\ will\ be\ read\ and\ written\ using\ this\ Character\ Encoding.\ This\ takes\ precedence\ over\ 'Use\ System\ Encoding'.=[G'\uff29\uff46 \uff53\uff45\uff54 \uff54\uff48\uff45 \uff50\uff52\uff4f\uff50\uff45\uff52\uff54\uff49\uff45\uff53 \uff46\uff49\uff4c\uff45 \uff57\uff49\uff4c\uff4c \uff42\uff45 \uff52\uff45ad and written using this Character Encoding. This takes precedence over 'Use System Encoding'.\u0e0f\u0e39\u0130\u0131\uff5c]
If\ set\ the\ properties\ file\ will\ be\ written\ using\ this\ Character\ Encoding.\ Otherwise\ the\ file\ will\ be\ read\ using\ the\ Agent's\ native\ character\ encoding.\ Examples\:\ US-ASCII,\ UCS-2,\ JIS\ X\ 0201,\ UTF-16,\ UTF-16LE,\ EUC=[G'\uff29\uff46 \uff53\uff45\uff54 \uff54\uff48\uff45 \uff50\uff52\uff4f\uff50\uff45\uff52\uff54\uff49\uff45\uff53 \uff46\uff49\uff4c\uff45 \uff57\uff49\uff4c\uff4c \uff42\uff45 \uff57\uff52\uff49\uff54\uff54\uff45\uff4e \uff55\uff53\uff49\uff4e\uff47 \uff54\uff48\uff49\uff53 \uff23\uff48\uff41\uff52\uff41\uff43\uff54\uff45\uff52 \uff25ncoding. Otherwise the file will be read using the Agent's native character encoding. Examples\: US-ASCII, UCS-2, JIS X 0201, UTF-16, UTF-16LE, EUC\u0e0f\u0e39\u0130\u0131\uff5c]
If\ you\ want\ to\ use\ additional\ properties\ defined\ elsewhere\ add\ a\ comma-separated\ list\ here.\ For\ example\ adding\ ${p\:environment/allProperties}\ means\ that\ we\ will\ pick\ up\ all\ environment\ properties\ and\ add\ them\ as\ name/value\ pairs\ to\ the\ list.\ Any\ collisions\ would\ be\ resolved\ in\ favor\ of\ the\ explicit\ property\ list\ in\ the\ Add/Update\ properties\ box\ above.=[G'\uff29\uff46 \uff59\uff4f\uff55 \uff57\uff41\uff4e\uff54 \uff54\uff4f \uff55\uff53\uff45 \uff41\uff44\uff44\uff49\uff54\uff49\uff4f\uff4e\uff41\uff4c \uff50\uff52\uff4f\uff50\uff45\uff52\uff54\uff49\uff45\uff53 \uff44\uff45\uff46\uff49\uff4e\uff45\uff44 \uff45\uff4c\uff53\uff45\uff57\uff48\uff45\uff52\uff45 \uff41\uff44\uff44 \uff41 \uff43\uff4f\uff4d\uff4d\uff41-\uff53\uff45\uff50\uff41\uff52\uff41\uff54\uff45\uff44 \uff4c\uff49\uff53\uff54 \uff48\uff45\uff52\uff45. \uff26\uff4f\uff52 \uff45\uff58\uff41\uff4d\uff50\uff4c\uff45 \uff41\uff44ding $[{p\:environment/allProperties}] means that we will pick up all environment properties and add them as name/value pairs to the list. Any collisions would be resolved in favor of the explicit property list in the Add/Update properties box above.\u0e0f\u0e39\u0130\u0131\uff5c]
Include=[G'Include\u0e0f\u0e39\u0130\u0131\uff5c]
Include\ Files=[G'\uff29\uff4e\uff43lude Files\u0e0f\u0e39\u0130\u0131\uff5c]
Includes=[G'Includes\u0e0f\u0e39\u0130\u0131\uff5c]
Insert\ XML=[G'\uff29nsert XML\u0e0f\u0e39\u0130\u0131\uff5c]
Monitor\ File\ Contents=[G'\uff2d\uff4f\uff4e\uff49\uff54\uff4f\uff52 File Contents\u0e0f\u0e39\u0130\u0131\uff5c]
Move\ Directory=[G'\uff2d\uff4f\uff56\uff45 Directory\u0e0f\u0e39\u0130\u0131\uff5c]
Moves\ files\ to\ a\ destination.=[G'\uff2d\uff4f\uff56\uff45\uff53 \uff46\uff49\uff4c\uff45s to a destination.\u0e0f\u0e39\u0130\u0131\uff5c]
Moves\ new\ files\ in\ source\ to\ destination\ and\ deletes\ files\ in\ destination\ not\ in\ source.\ Synchronization\ is\ based\ on\ file\ date-time\ stamp.=[G'\uff2d\uff4f\uff56\uff45\uff53 \uff4e\uff45\uff57 \uff46\uff49\uff4c\uff45\uff53 \uff49\uff4e \uff53\uff4f\uff55\uff52\uff43\uff45 \uff54\uff4f \uff44\uff45\uff53\uff54\uff49\uff4e\uff41\uff54\uff49on and deletes files in destination not in source. Synchronization is based on file date-time stamp.\u0e0f\u0e39\u0130\u0131\uff5c]
Name\ of\ the\ new\ .zip\ file.=[G'\uff2e\uff41\uff4d\uff45 \uff4f\uff46 \uff54\uff48\uff45 new .zip file.\u0e0f\u0e39\u0130\u0131\uff5c]
none=[G'none\u0e0f\u0e39\u0130\u0131\uff5c]
OS=[G'OS\u0e0f\u0e39\u0130\u0131\uff5c]
Overwrite=[G'Overwrite\u0e0f\u0e39\u0130\u0131\uff5c]
Overwrite\ files=[G'\uff2f\uff56\uff45\uff52write files\u0e0f\u0e39\u0130\u0131\uff5c]
Overwrite\ files\ even\ if\ they\ are\ newer\ than\ the\ ones\ in\ the\ .zip\ file.=[G'\uff2f\uff56\uff45\uff52\uff57\uff52\uff49\uff54\uff45 \uff46\uff49\uff4c\uff45s even if they are newer than the ones in the .zip file.\u0e0f\u0e39\u0130\u0131\uff5c]
Overwrite\ files\ even\ if\ they\ are\ newer\ than\ the\ ones\ in\ the\ tarball.=[G'\uff2f\uff56\uff45\uff52\uff57\uff52\uff49\uff54\uff45 \uff46\uff49\uff4c\uff45s even if they are newer than the ones in the tarball.\u0e0f\u0e39\u0130\u0131\uff5c]
Overwrite\ if\ exists=[G'\uff2f\uff56\uff45\uff52\uff57\uff52ite if exists\u0e0f\u0e39\u0130\u0131\uff5c]
Overwrite\ target\ files\ even\ if\ they\ are\ newer\ than\ source\ files=[G'\uff2f\uff56\uff45\uff52\uff57\uff52\uff49\uff54\uff45 \uff54\uff41\uff52\uff47et files even if they are newer than source files\u0e0f\u0e39\u0130\u0131\uff5c]
Parse\ an\ XML\ file\ to\ search\ for\ properties\ defined\ by\ element\ names=[G'\uff30\uff41\uff52\uff53\uff45 \uff41\uff4e \uff38\uff2d\uff2c \uff46\uff49\uff4ce to search for properties defined by element names\u0e0f\u0e39\u0130\u0131\uff5c]
Preserve\ In\ Target\ Exclude\ Files=[G'\uff30\uff52\uff45\uff53\uff45\uff52\uff56\uff45 \uff29n Target Exclude Files\u0e0f\u0e39\u0130\u0131\uff5c]
Preserve\ In\ Target\ Include\ Files=[G'\uff30\uff52\uff45\uff53\uff45\uff52\uff56\uff45 \uff29n Target Include Files\u0e0f\u0e39\u0130\u0131\uff5c]
Property\ File=[G'\uff30\uff52\uff4fperty File\u0e0f\u0e39\u0130\u0131\uff5c]
Property\ File\ Name=[G'\uff30\uff52\uff4f\uff50\uff45\uff52ty File Name\u0e0f\u0e39\u0130\u0131\uff5c]
Property\ Keys=[G'\uff30\uff52\uff4fperty Keys\u0e0f\u0e39\u0130\u0131\uff5c]
Property\ List=[G'\uff30\uff52\uff4fperty List\u0e0f\u0e39\u0130\u0131\uff5c]
Property\ Prefix=[G'\uff30\uff52\uff4f\uff50erty Prefix\u0e0f\u0e39\u0130\u0131\uff5c]
Read\ properties\ from\ a\ file\ and\ sets\ them\ as\ output\ properties\ for\ this\ step.=[G'\uff32\uff45\uff41\uff44 \uff50\uff52\uff4f\uff50\uff45\uff52\uff54\uff49\uff45\uff53 from a file and sets them as output properties for this step.\u0e0f\u0e39\u0130\u0131\uff5c]
Read\ Properties\ From\ XML\ File=[G'\uff32\uff45\uff41\uff44 \uff30\uff52\uff4f\uff50\uff45rties From XML File\u0e0f\u0e39\u0130\u0131\uff5c]
Read\ Property\ File=[G'\uff32\uff45\uff41\uff44 \uff30\uff52operty File\u0e0f\u0e39\u0130\u0131\uff5c]
Regular\ Expression=[G'\uff32\uff45\uff47\uff55\uff4c\uff41r Expression\u0e0f\u0e39\u0130\u0131\uff5c]
Remove=[G'Remove\u0e0f\u0e39\u0130\u0131\uff5c]
Remove\ properties=[G'\uff32\uff45\uff4d\uff4f\uff56e properties\u0e0f\u0e39\u0130\u0131\uff5c]
Remove\ Section=[G'\uff32\uff45\uff4d\uff4fve Section\u0e0f\u0e39\u0130\u0131\uff5c]
Rename\ Rules=[G'\uff32\uff45name Rules\u0e0f\u0e39\u0130\u0131\uff5c]
Replace\ Tokens=[G'\uff32\uff45\uff50\uff4cace Tokens\u0e0f\u0e39\u0130\u0131\uff5c]
Replace\ tokens\ in\ files\ using\ properties.=[G'\uff32\uff45\uff50\uff4c\uff41\uff43\uff45 \uff54\uff4f\uff4b\uff45ns in files using properties.\u0e0f\u0e39\u0130\u0131\uff5c]
Replace\ with\ text=[G'\uff32\uff45\uff50\uff4c\uff41ce with text\u0e0f\u0e39\u0130\u0131\uff5c]
Rules\ for\ renaming\ the\ files\ in\ the\ destination\ directories.\ Each\ rule\ should\ be\ given\ on\ a\ separate\ line,\ in\ the\ format\ "FROM->TO".\ Examples\:\ a.txt->b.txt\ (Renames\ files\ named\ "a.txt"\ to\ "b.txt");\ *.java->*.java.bak\ (Renames\ all\ files\ ending\ with\ .java\ to\ instead\ end\ with\ .java.bak);\ Rules\ are\ applied\ in\ the\ order\ that\ they\ are\ given.\ A\ file\ will\ have\ at\ most\ one\ rule\ applied\ to\ it.=[G'\uff32\uff55\uff4c\uff45\uff53 \uff46\uff4f\uff52 \uff52\uff45\uff4e\uff41\uff4d\uff49\uff4e\uff47 \uff54\uff48\uff45 \uff46\uff49\uff4c\uff45\uff53 \uff49\uff4e \uff54\uff48\uff45 \uff44\uff45\uff53\uff54\uff49\uff4e\uff41\uff54\uff49\uff4f\uff4e \uff44\uff49\uff52\uff45\uff43\uff54\uff4f\uff52\uff49\uff45\uff53. \uff25\uff41\uff43\uff48 \uff52\uff55\uff4c\uff45 \uff53\uff48\uff4f\uff55\uff4c\uff44 \uff42\uff45 \uff47\uff49\uff56\uff45\uff4e \uff4f\uff4e \uff41 \uff53\uff45\uff50\uff41\uff52\uff41\uff54\uff45 \uff4c\uff49\uff4e\uff45, \uff49\uff4e \uff54\uff48\uff45 \uff46\uff4f\uff52\uff4d\uff41\uff54 "\uff26\uff32\uff2f\uff2d->\uff34\uff2f". \uff25\uff58\uff41mples\: a.txt->b.txt (Renames files named "a.txt" to "b.txt"); *.java->*.java.bak (Renames all files ending with .java to instead end with .java.bak); Rules are applied in the order that they are given. A file will have at most one rule applied to it.\u0e0f\u0e39\u0130\u0131\uff5c]
Select\ here\ if\ you\ want\ the\ step\ to\ fail\ if\ any\ of\ the\ XPath\ expressions\ do\ not\ return\ a\ match.=[G'\uff33\uff45\uff4c\uff45\uff43\uff54 \uff48\uff45\uff52\uff45 \uff49\uff46 \uff59\uff4f\uff55 \uff57\uff41\uff4e\uff54 the step to fail if any of the XPath expressions do not return a match.\u0e0f\u0e39\u0130\u0131\uff5c]
Select\ if\ '\#'\ indicates\ a\ comment.\ If\ unselected\ ';'\ will\ indicate\ a\ comment.=[G'\uff33\uff45\uff4c\uff45\uff43\uff54 \uff49\uff46 '\#' \uff49\uff4e\uff44\uff49\uff43\uff41tes a comment. If unselected ';' will indicate a comment.\u0e0f\u0e39\u0130\u0131\uff5c]
Set\ Attributes=[G'\uff33\uff45\uff54 \uff21ttributes\u0e0f\u0e39\u0130\u0131\uff5c]
Source\ Directory=[G'\uff33\uff4f\uff55\uff52\uff43e Directory\u0e0f\u0e39\u0130\u0131\uff5c]
Source\ Directory\ Offset=[G'\uff33\uff4f\uff55\uff52\uff43\uff45 \uff24\uff49rectory Offset\u0e0f\u0e39\u0130\u0131\uff5c]
Specify\ a\ character\ encoding\ for\ the\ .zip\ file.\ If\ blank,\ the\ .zip\ file\ is\ created\ with\ the\ local\ character\ encoding\ of\ the\ agent.\ Examples\:\ US-ASCII,\ UCS-2,\ JIS\ X\ 0201,\ UTF-16,\ UTF-16LE,\ EUC=[G'\uff33\uff50\uff45\uff43\uff49\uff46\uff59 \uff41 \uff43\uff48\uff41\uff52\uff41\uff43\uff54\uff45\uff52 \uff45\uff4e\uff43\uff4f\uff44\uff49\uff4e\uff47 \uff46\uff4f\uff52 \uff54\uff48\uff45 .\uff5a\uff49\uff50 \uff46\uff49\uff4c\uff45. \uff29\uff46 \uff42\uff4c\uff41\uff4e\uff4b, \uff54\uff48\uff45 .zip file is created with the local character encoding of the agent. Examples\: US-ASCII, UCS-2, JIS X 0201, UTF-16, UTF-16LE, EUC\u0e0f\u0e39\u0130\u0131\uff5c]
Specify\ a\ new\ line\ separated\ list\ of\ XPath\ expression->content\ pairs.\ Eg\:\ /root/foo->&lt;bar/&gt;\ will\ look\ for\ the\ all\ foo\ elements\ under\ the\ root\ element\ and\ insert\ an\ empty\ child\ element\ bar.=[G'\uff33\uff50\uff45\uff43\uff49\uff46\uff59 \uff41 \uff4e\uff45\uff57 \uff4c\uff49\uff4e\uff45 \uff53\uff45\uff50\uff41\uff52\uff41\uff54\uff45\uff44 \uff4c\uff49\uff53\uff54 \uff4f\uff46 \uff38\uff30\uff41\uff54\uff48 \uff45\uff58\uff50\uff52\uff45\uff53\uff53\uff49\uff4f\uff4e->\uff43\uff4fntent pairs. Eg\: /root/foo->&lt;bar/&gt; will look for the all foo elements under the root element and insert an empty child element bar.\u0e0f\u0e39\u0130\u0131\uff5c]
Specify\ a\ new\ line\ separated\ list\ of\ XPath\ expression->replacement\ pairs.\ Eg\:\ /root/foo/@bar->my_bar\ will\ look\ for\ all\ foo\ elements\ under\ the\ root\ element\ and\ replace\ their\ bar\ attribute\ value\ with\ my_bar.\ The\ XPath\ expression\ must\ end\ with\ the\ /@name\ of\ the\ attribute\ you\ want\ to\ insert/update\ and\ contain\ a\ ->\ separator\ to\ denote\ the\ value.=[G'\uff33\uff50\uff45\uff43\uff49\uff46\uff59 \uff41 \uff4e\uff45\uff57 \uff4c\uff49\uff4e\uff45 \uff53\uff45\uff50\uff41\uff52\uff41\uff54\uff45\uff44 \uff4c\uff49\uff53\uff54 \uff4f\uff46 \uff38\uff30\uff41\uff54\uff48 \uff45\uff58\uff50\uff52\uff45\uff53\uff53\uff49\uff4f\uff4e->\uff52\uff45\uff50\uff4c\uff41\uff43\uff45\uff4d\uff45\uff4e\uff54 \uff50\uff41\uff49\uff52\uff53. \uff25\uff47\: /\uff52\uff4f\uff4f\uff54/\uff46\uff4f\uff4f/@\uff42\uff41\uff52->\uff4d\uff59_\uff42\uff41\uff52 \uff57\uff49\uff4c\uff4c \uff4c\uff4f\uff4f\uff4b \uff46\uff4f\uff52 \uff41\uff4c\uff4c \uff46oo elements under the root element and replace their bar attribute value with my_bar. The XPath expression must end with the /@name of the attribute you want to insert/update and contain a -> separator to denote the value.\u0e0f\u0e39\u0130\u0131\uff5c]
Specify\ a\ new\ line\ separated\ list\ of\ XPath\ expression->replacement\ pairs.\ Eg\:\ /root/foo/@bar->my_bar\ will\ look\ for\ the\ all\ foo\ elements\ under\ the\ root\ element\ and\ replace\ their\ bar\ attribute\ value\ with\ my_bar.This\ will\ not\ do\ anything\ if\ the\ attribute\ bar\ does\ not\ exist.=[G'\uff33\uff50\uff45\uff43\uff49\uff46\uff59 \uff41 \uff4e\uff45\uff57 \uff4c\uff49\uff4e\uff45 \uff53\uff45\uff50\uff41\uff52\uff41\uff54\uff45\uff44 \uff4c\uff49\uff53\uff54 \uff4f\uff46 \uff38\uff30\uff41\uff54\uff48 \uff45\uff58\uff50\uff52\uff45\uff53\uff53\uff49\uff4f\uff4e->\uff52\uff45\uff50\uff4c\uff41\uff43\uff45\uff4d\uff45\uff4e\uff54 \uff50\uff41\uff49\uff52\uff53. \uff25\uff47\: /\uff52\uff4f\uff4f\uff54/\uff46\uff4f\uff4f/@\uff42\uff41r->my_bar will look for the all foo elements under the root element and replace their bar attribute value with my_bar.This will not do anything if the attribute bar does not exist.\u0e0f\u0e39\u0130\u0131\uff5c]
Specify\ a\ prefix\ to\ use\ to\ determine\ which\ properties\ are\ included\ in\ token\ replacement.\ Leave\ blank\ to\ include\ all\ properties.=[G'\uff33\uff50\uff45\uff43\uff49\uff46\uff59 \uff41 \uff50\uff52\uff45\uff46\uff49\uff58 \uff54\uff4f \uff55\uff53\uff45 \uff54\uff4f \uff44\uff45\uff54\uff45\uff52\uff4d\uff49\uff4ee which properties are included in token replacement. Leave blank to include all properties.\u0e0f\u0e39\u0130\u0131\uff5c]
Specify\ a\ property\ value\ here\ to\ use\ existing\ property\ names\ as\ tokens\ to\ replace\ in\ the\ target\ files.\ For\ example\:\ Specify\ ${p\:environment/allProperties}\ to\ use\ the\ names\ of\ all\ component\ environment\ properties\ as\ tokens\ and\ the\ property\ valuesas\ the\ replacements.\ Similarly,\ specify\ ${p\:component/allProperties},${p\:environment/allProperties}\ to\ use\ the\ names\ of\ all\ component\ and\ component\ environment\ properties\ as\ tokens.\ The\ token\ delimiter\ and\ property\ prefix\ settings\ apply.\ If\ you\ specify\ @\ for\ the\ start\ and\ end\ token\ delimiters\ and\ a\ property\ named\ token1\ exists,\ then\ the\ step\ searches\ for\ @token1@\ to\ replace.=[G'\uff33\uff50\uff45\uff43\uff49\uff46\uff59 \uff41 \uff50\uff52\uff4f\uff50\uff45\uff52\uff54\uff59 \uff56\uff41\uff4c\uff55\uff45 \uff48\uff45\uff52\uff45 \uff54\uff4f \uff55\uff53\uff45 \uff45\uff58\uff49\uff53\uff54\uff49\uff4e\uff47 \uff50\uff52\uff4f\uff50\uff45\uff52\uff54\uff59 \uff4e\uff41\uff4d\uff45\uff53 \uff41\uff53 \uff54\uff4f\uff4b\uff45\uff4e\uff53 \uff54\uff4f \uff52\uff45\uff50\uff4c\uff41\uff43\uff45 \uff49\uff4e \uff54\uff48\uff45 \uff54\uff41\uff52\uff47\uff45\uff54 \uff46\uff49\uff4c\uff45\uff53. \uff26\uff4f\uff52 \uff45\uff58\uff41\uff4d\uff50\uff4c\uff45\: \uff33\uff50\uff45\uff43\uff49\uff46\uff59 $[{p\:environment/allProperties}] \uff54\uff4f \uff55\uff53\uff45 \uff54\uff48\uff45 \uff4e\uff41\uff4d\uff45\uff53 \uff4f\uff46 \uff41\uff4c\uff4c \uff43\uff4f\uff4d\uff50\uff4f\uff4e\uff45\uff4e\uff54 \uff45\uff4e\uff56\uff49\uff52\uff4f\uff4e\uff4d\uff45\uff4e\uff54 \uff50\uff52\uff4f\uff50\uff45\uff52\uff54\uff49\uff45\uff53 \uff41\uff53 \uff54\uff4fkens and the property valuesas the replacements. Similarly, specify $[{p\:component/allProperties}],$[{p\:environment/allProperties}] to use the names of all component and component environment properties as tokens. The token delimiter and property prefix settings apply. If you specify @ for the start and end token delimiters and a property named token1 exists, then the step searches for @token1@ to replace.\u0e0f\u0e39\u0130\u0131\uff5c]
Start\ Token\ Delimiter=[G'\uff33\uff54\uff41\uff52\uff54 \uff34\uff4fken Delimiter\u0e0f\u0e39\u0130\u0131\uff5c]
Synchronize\ Directories=[G'\uff33\uff59\uff4e\uff43\uff48\uff52\uff4f\uff4eize Directories\u0e0f\u0e39\u0130\u0131\uff5c]
Tarball=[G'Tarball\u0e0f\u0e39\u0130\u0131\uff5c]
The\ compress\ of\ the\ tarball\ to\ be\ extracted.=[G'\uff34\uff48\uff45 \uff43\uff4f\uff4d\uff50\uff52\uff45\uff53\uff53 of the tarball to be extracted.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ contents\ of\ the\ new\ file.=[G'\uff34\uff48\uff45 \uff43\uff4f\uff4e\uff54\uff45\uff4ets of the new file.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ directory\ relative\ to\ the\ current\ working\ directory\ that\ contains\ the\ files\ to\ operate\ on.=[G'\uff34\uff48\uff45 \uff44\uff49\uff52\uff45\uff43\uff54\uff4f\uff52\uff59 \uff52\uff45\uff4c\uff41\uff54\uff49\uff56e to the current working directory that contains the files to operate on.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ directory\ relative\ to\ the\ current\ working\ directory\ which\ contains\ the\ files\ to\ operate\ on.=[G'\uff34\uff48\uff45 \uff44\uff49\uff52\uff45\uff43\uff54\uff4f\uff52\uff59 \uff52\uff45\uff4c\uff41\uff54\uff49\uff56e to the current working directory which contains the files to operate on.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ directory\ to\ copy.=[G'\uff34\uff48\uff45 \uff44\uff49\uff52\uff45\uff43tory to copy.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ directory\ to\ extract\ the\ .zip\ file\ to.=[G'\uff34\uff48\uff45 \uff44\uff49\uff52\uff45\uff43\uff54\uff4f\uff52y to extract the .zip file to.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ directory\ to\ extract\ the\ tarball\ to.=[G'\uff34\uff48\uff45 \uff44\uff49\uff52\uff45\uff43\uff54\uff4f\uff52y to extract the tarball to.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ directory\ to\ move\ to.=[G'\uff34\uff48\uff45 \uff44\uff49\uff52\uff45\uff43\uff54ory to move to.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ directory\ to\ move.=[G'\uff34\uff48\uff45 \uff44\uff49\uff52\uff45\uff43tory to move.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ directory\ to\ synchronize.=[G'\uff34\uff48\uff45 \uff44\uff49\uff52\uff45\uff43\uff54ory to synchronize.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ end\ delimiter\ character\ used\ to\ identify\ tokens.=[G'\uff34\uff48\uff45 \uff45\uff4e\uff44 \uff44\uff45\uff4c\uff49\uff4d\uff49ter character used to identify tokens.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ FileUtils\ plugin\ allows\ users\ to\ perform\ folder\ and\ file\ level\ tasks\ as\ part\ of\ their\ deployment\ process.\ Among\ others\ this\ plugin\ includes\ steps\ for\ deleting\ or\ creating\ directories\ and\ replacing\ tokens\ in\ a\ file=[G'\uff34\uff48\uff45 \uff26\uff49\uff4c\uff45\uff35\uff54\uff49\uff4c\uff53 \uff50\uff4c\uff55\uff47\uff49\uff4e \uff41\uff4c\uff4c\uff4f\uff57\uff53 \uff55\uff53\uff45\uff52\uff53 \uff54\uff4f \uff50\uff45\uff52\uff46\uff4f\uff52\uff4d \uff46\uff4f\uff4c\uff44\uff45\uff52 \uff41\uff4e\uff44 \uff46\uff49\uff4c\uff45 \uff4c\uff45\uff56\uff45\uff4c tasks as part of their deployment process. Among others this plugin includes steps for deleting or creating directories and replacing tokens in a file\u0e0f\u0e39\u0130\u0131\uff5c]
The\ full\ path\ to\ the\ XML\ file\ to\ read\ properties\ from.=[G'\uff34\uff48\uff45 \uff46\uff55\uff4c\uff4c \uff50\uff41\uff54\uff48 \uff54o the XML file to read properties from.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ line\ ending\ type\ to\ use.=[G'\uff34\uff48\uff45 \uff4c\uff49\uff4e\uff45 \uff45\uff4eding type to use.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ name\ of\ the\ file\ to\ update.=[G'\uff34\uff48\uff45 \uff4e\uff41\uff4d\uff45 \uff4f\uff46 the file to update.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ name\ of\ the\ file\ used\ to\ store\ the\ replacement\ name-value\ pairs.\ You\ can\ use\ an\ existing\ file.\ If\ the\ file\ does\ not\ exist,\ it\ is\ created\ and\ then\ removed\ when\ the\ step\ completes.=[G'\uff34\uff48\uff45 \uff4e\uff41\uff4d\uff45 \uff4f\uff46 \uff54\uff48\uff45 \uff46\uff49\uff4c\uff45 \uff55\uff53\uff45\uff44 \uff54\uff4f \uff53\uff54\uff4f\uff52\uff45 \uff54\uff48\uff45 \uff52\uff45\uff50\uff4c\uff41\uff43\uff45\uff4d\uff45\uff4e\uff54 \uff4e\uff41\uff4d\uff45-value pairs. You can use an existing file. If the file does not exist, it is created and then removed when the step completes.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ name\ of\ the\ new\ file.=[G'\uff34\uff48\uff45 \uff4e\uff41\uff4d\uff45 \uff4f\uff46 the new file.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ name\ of\ the\ property\ file\ to\ read.=[G'\uff34\uff48\uff45 \uff4e\uff41\uff4d\uff45 \uff4f\uff46 \uff54\uff48e property file to read.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ path\ to\ the\ file\ relative\ to\ the\ current\ working\ directory\ to\ monitor.=[G'\uff34\uff48\uff45 \uff50\uff41\uff54\uff48 \uff54\uff4f \uff54\uff48\uff45 \uff46ile relative to the current working directory to monitor.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ root\ directory\ where\ deletions\ would\ be\ done.=[G'\uff34\uff48\uff45 \uff52\uff4f\uff4f\uff54 \uff44\uff49\uff52\uff45ctory where deletions would be done.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ root\ directory\ where\ files\ for\ the\ archive\ reside.=[G'\uff34\uff48\uff45 \uff52\uff4f\uff4f\uff54 \uff44\uff49\uff52\uff45\uff43tory where files for the archive reside.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ start\ delimiter\ character\ used\ to\ identify\ tokens.=[G'\uff34\uff48\uff45 \uff53\uff54\uff41\uff52\uff54 \uff44\uff45\uff4c\uff49miter character used to identify tokens.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ tarball\ to\ be\ extracted.Multiple\ tarballs\ can\ be\ extracted\ by\ specifying\ wildcards\ as\ supported\ by\ ant\ pattern\ matching.\ For\ example\ specifying\ json-*.tar\ will\ untar\ both\ json-c-0.10.tar\ and\ json-c-0.20.tar=[G'\uff34\uff48\uff45 \uff54\uff41\uff52\uff42\uff41\uff4c\uff4c \uff54\uff4f \uff42\uff45 \uff45\uff58\uff54\uff52\uff41\uff43\uff54\uff45\uff44.\uff2d\uff55\uff4c\uff54\uff49\uff50\uff4c\uff45 \uff54\uff41\uff52\uff42\uff41\uff4c\uff4c\uff53 \uff43\uff41\uff4e \uff42\uff45 \uff45\uff58\uff54\uff52\uff41\uff43\uff54\uff45\uff44 \uff42y specifying wildcards as supported by ant pattern matching. For example specifying json-*.tar will untar both json-c-0.10.tar and json-c-0.20.tar\u0e0f\u0e39\u0130\u0131\uff5c]
The\ time\ in\ seconds\ to\ wait\ for\ the\ regular\ expression\ match.\ The\ step\ will\ fail\ If\ a\ match\ is\ not\ found\ in\ that\ time.=[G'\uff34\uff48\uff45 \uff54\uff49\uff4d\uff45 \uff49\uff4e \uff53\uff45\uff43\uff4f\uff4e\uff44\uff53 \uff54\uff4f \uff57\uff41\uff49\uff54 \uff46\uff4f\uff52 \uff54he regular expression match. The step will fail If a match is not found in that time.\u0e0f\u0e39\u0130\u0131\uff5c]
Timeout\ (s)=[G'\uff34\uff49meout (s)\u0e0f\u0e39\u0130\u0131\uff5c]
Unix=[G'Unix\u0e0f\u0e39\u0130\u0131\uff5c]
Untar\ Tarball=[G'\uff35\uff4e\uff54ar Tarball\u0e0f\u0e39\u0130\u0131\uff5c]
Unzip=[G'Unzip\u0e0f\u0e39\u0130\u0131\uff5c]
Update\ existing=[G'\uff35\uff50\uff44\uff41te existing\u0e0f\u0e39\u0130\u0131\uff5c]
Update\ INI\ File=[G'\uff35\uff50\uff44\uff41te INI File\u0e0f\u0e39\u0130\u0131\uff5c]
Update\ Java\ Properties\ File=[G'\uff35\uff50\uff44\uff41\uff54\uff45 \uff2a\uff41\uff56a Properties File\u0e0f\u0e39\u0130\u0131\uff5c]
Update\ properties=[G'\uff35\uff50\uff44\uff41\uff54e properties\u0e0f\u0e39\u0130\u0131\uff5c]
Update\ Windows\ style\ INI\ file.\ This\ step\ can\ handle\ sections\ of\ properties.=[G'\uff35\uff50\uff44\uff41\uff54\uff45 \uff37\uff49\uff4e\uff44\uff4f\uff57\uff53 style INI file. This step can handle sections of properties.\u0e0f\u0e39\u0130\u0131\uff5c]
Update\ XML\ File\ with\ XPath=[G'\uff35\uff50\uff44\uff41\uff54\uff45 \uff38\uff2d\uff2c File with XPath\u0e0f\u0e39\u0130\u0131\uff5c]
Update\ XML\ files\ using\ XPath\ to\ locate\ items\ to\ edit.=[G'\uff35\uff50\uff44\uff41\uff54\uff45 \uff38\uff2d\uff2c \uff46\uff49\uff4ces using XPath to locate items to edit.\u0e0f\u0e39\u0130\u0131\uff5c]
Use\ '\#'\ character\ for\ comments=[G'\uff35\uff53\uff45 '\#' \uff43\uff48\uff41\uff52\uff41\uff43ter for comments\u0e0f\u0e39\u0130\u0131\uff5c]
Use\ System\ Encoding=[G'\uff35\uff53\uff45 \uff33\uff59\uff53tem Encoding\u0e0f\u0e39\u0130\u0131\uff5c]
Use\ this\ if\ you\ want\ to\ filter\ the\ properties\ specified\ in\ the\ Additional\ Properties\ box\ above.\ The\ prefix\ will\ be\ stripped\ from\ the\ property\ name\ to\ form\ the\ correct\ property\ to\ be\ added\ in\ the\ property\ file.=[G'\uff35\uff53\uff45 \uff54\uff48\uff49\uff53 \uff49\uff46 \uff59\uff4f\uff55 \uff57\uff41\uff4e\uff54 \uff54\uff4f \uff46\uff49\uff4c\uff54\uff45\uff52 \uff54\uff48\uff45 \uff50\uff52\uff4f\uff50\uff45\uff52\uff54\uff49\uff45\uff53 \uff53\uff50\uff45\uff43\uff49\uff46\uff49\uff45\uff44 \uff49\uff4e \uff54\uff48\uff45 \uff21\uff44ditional Properties box above. The prefix will be stripped from the property name to form the correct property to be added in the property file.\u0e0f\u0e39\u0130\u0131\uff5c]
Utilities=[G'Utilities\u0e0f\u0e39\u0130\u0131\uff5c]
Windows=[G'Windows\u0e0f\u0e39\u0130\u0131\uff5c]
XML\ File=[G'XML File\u0e0f\u0e39\u0130\u0131\uff5c]
